'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

var React = require('react');

var classnames = require('classnames');

var utilsCommons = require('@highlight-ui/utils-commons');

function _interopDefaultLegacy(e) {
  return e && typeof e === 'object' && 'default' in e ? e : {
    'default': e
  };
}

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var classnames__default = /*#__PURE__*/_interopDefaultLegacy(classnames);
/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */


var __assign = function () {
  __assign = Object.assign || function __assign(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

var styles$1 = {
  "stack": "Stack-module__1Z0TVMk0__v0-2-0",
  "spacing-0": "Stack-module__2ySgOKfI__v0-2-0",
  "spacing-0-5": "Stack-module__3aTg7ont__v0-2-0",
  "spacing-1": "Stack-module__PDhQa1l5__v0-2-0",
  "spacing-2": "Stack-module__1jenF-92__v0-2-0",
  "spacing-3": "Stack-module__36QSkEUh__v0-2-0",
  "spacing-4": "Stack-module__1YqBVz_r__v0-2-0",
  "spacing-5": "Stack-module__pl44GgJA__v0-2-0",
  "spacing-6": "Stack-module__2yG7841h__v0-2-0",
  "spacing-8": "Stack-module__3mcyNuOg__v0-2-0",
  "spacing-10": "Stack-module__2Pc3xBPs__v0-2-0",
  "spacing-12": "Stack-module__nNSh936F__v0-2-0",
  "spacing-16": "Stack-module__1tkzlJ5Y__v0-2-0",
  "spacing-20": "Stack-module__2bXwUC-Y__v0-2-0",
  "spacing-24": "Stack-module__2NtXK43f__v0-2-0",
  "spacing-32": "Stack-module__1oPS-87M__v0-2-0"
};
var Stack = React__default["default"].forwardRef(function (_a, ref) {
  var _b = _a.space,
      space = _b === void 0 ? 'spacing-0' : _b,
      className = _a.className,
      metadata = _a.metadata,
      children = _a.children;
  return React__default["default"].createElement("div", __assign({
    className: classnames__default["default"](styles$1.stack, styles$1[space], className),
    ref: ref
  }, utilsCommons.parseMetadata(metadata)), children);
});
var styles = {
  "inline": "Inline-module__2aZXP6_L__v0-2-0",
  "wrap": "Inline-module__3_a_UnFU__v0-2-0",
  "justify-start": "Inline-module__3tWW_bxE__v0-2-0",
  "align-start": "Inline-module__3KOYdxUy__v0-2-0",
  "justify-center": "Inline-module__3374-2FN__v0-2-0",
  "align-center": "Inline-module__27MAKqkj__v0-2-0",
  "justify-end": "Inline-module__20Q7r0QF__v0-2-0",
  "align-end": "Inline-module__32BDfYVC__v0-2-0",
  "spacing-0": "Inline-module__3QBhX-d-__v0-2-0",
  "spacing-0-5": "Inline-module__2BjQmfKr__v0-2-0",
  "spacing-1": "Inline-module__3pNbh9rd__v0-2-0",
  "spacing-2": "Inline-module__2faoCu-m__v0-2-0",
  "spacing-3": "Inline-module__2wWXsICI__v0-2-0",
  "spacing-4": "Inline-module__1ZQERGdz__v0-2-0",
  "spacing-5": "Inline-module__2oLnGAsK__v0-2-0",
  "spacing-6": "Inline-module__1cCvK5Ld__v0-2-0",
  "spacing-8": "Inline-module__1C9ylay-__v0-2-0",
  "spacing-10": "Inline-module__2LTq5c9n__v0-2-0",
  "spacing-12": "Inline-module__wdvPl5Ud__v0-2-0",
  "spacing-16": "Inline-module__2F43RmI6__v0-2-0",
  "spacing-20": "Inline-module__JGDJkFEE__v0-2-0",
  "spacing-24": "Inline-module__WKta76h4__v0-2-0",
  "spacing-32": "Inline-module__1wjFy7b-__v0-2-0"
};
var Inline = React__default["default"].forwardRef(function (_a, ref) {
  var _b;

  var _c = _a.space,
      space = _c === void 0 ? 'spacing-0' : _c,
      _d = _a.align,
      align = _d === void 0 ? 'start' : _d,
      _e = _a.alignVertical,
      alignVertical = _e === void 0 ? 'start' : _e,
      _f = _a.wrap,
      wrap = _f === void 0 ? true : _f,
      className = _a.className,
      metadata = _a.metadata,
      children = _a.children;
  return React__default["default"].createElement("div", __assign({
    className: classnames__default["default"](styles.inline, styles[space], styles["justify-" + align], styles["align-" + alignVertical], (_b = {}, _b[styles.wrap] = wrap, _b), className),
    ref: ref
  }, utilsCommons.parseMetadata(metadata)), children);
});
exports.Inline = Inline;
exports.Stack = Stack;
//# sourceMappingURL=index.js.map
